Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Invoice
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • GetCasesByOrganization
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
      • AcceptEvictionRequest
      • RejectEvictionRequest
      • AcceptEvictionConfirmation
      • RejectEvictionConfirmation
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
    • ErrorHandling
      • How to
      • Codes
        • DUPLICATE_UNIQUE_SOURCE_PAYMENT_ID
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  • Pay
    • AmiliPay API Introduction
    • Industry Categories Reference
    • Webhooks Reference
    • Merchant
      • List all customers
      • Create customer
      • Retrieve customer
      • Update customer
      • Create customer token
      • Retrieve pricing for a merchant
      • Update pricing for a merchant
      • List a customer's accepted agreements
    • User
      • List all users
      • Create user
      • Retrieve user
      • Update user
      • Delete user
    • Onboarding
      • Create onboarding application
      • Retrieve onboarding application
      • Update onboarding application
      • Delete onboarding application
      • Start processing onboarding
      • Delete onboarding shareholder
      • Create onboarding document
      • Retrieve onboarding document
      • Delete onboarding document
      • Retrieve available account agreements
      • Create onboarding agreement
      • Mark selected agreement as an accepted by the account
      • Retrieve a single agreement
      • Update onboarding agreement
      • Deactivate agreement
    • Invoice
      • List all invoices
        GET
      • Create invoice
        POST
      • Retrieve invoice
        GET
      • Update invoice
        PUT
      • Delete invoice
        DELETE
      • Refund invoice
        POST
    • Transactions
      • Get invoice transactions
    • Payout
      • List all payouts
      • Retrieve payout
      • Retrieve payout details
    • Product lines classification
      • Upload a CSV file
      • Manually get processed CSV file path
      • Download a previously uploaded CSV file
  1. Invoice

List all invoices

GET
/v1/invoices
Returns invoices with optional sorting and filter parameters. Use sort_by and direction to control ordering, and pass filters in the filters[...] query format for status, amount ranges, dates, account, customer, invoice_id, and other supported invoice attributes.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
OK
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff '/v1/invoices?sort_by=account_id%7Cdue_date%7Cemail&direction=asc%2C%20desc&filters[...]=filters[amount][from]%3D1000%26filters[status]%3Dtrue&page=1&per_page=50' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - response
{
    "data": [
        {
            "unique_id": "XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1",
            "account_id": 1,
            "invoice_id": "10000",
            "amount": 12500,
            "customer_id": "51220",
            "customer_reference": "PO-88231",
            "name": "Jim Smith",
            "email": "jimsmith@example.com",
            "phone": "+37263256604",
            "currency": "NOK",
            "notify_customer": true,
            "reminded": false,
            "payment_method": null,
            "language": "no",
            "redirect_url": "https://www.customershop.com/controlpanel",
            "cancel_url": "https://google.com",
            "due_date": "2021-04-09T00:00:00",
            "last_payment_date": "2022-04-24T00:00:00",
            "paid_at": null,
            "created_at": "2021-03-29T09:32:25",
            "updated_at": "2021-03-29T09:39:39",
            "deleted_at": null,
            "deactivated_at": null,
            "refunded_at": null,
            "payment_url": "https://pay.amili.no/pay-invoice/XdY5BQoZwwDeROmWL7NUfLa3B5XHcQr1vZf0uyr42mkB6wVzF1",
            "details": {
                "cardSummary": "1234"
            }
        }
    ],
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "path": "https://pay.amili.no/external/api/v1/invoices",
        "per_page": 50,
        "to": 1,
        "total": 1
    },
    "links": {
        "first": "https://pay.amili.no/external/api/v1/invoices?page=1",
        "last": "https://pay.amili.no/external/api/v1/invoices?page=1",
        "prev": null,
        "next": null
    }
}
Modified at 2026-09-25 07:15:05
Previous
Deactivate agreement
Next
Create invoice
Built with